Broadcast Raw Transaction
curl --request POST \
--url https://api.adamik.io/api/{chainId}/transaction/broadcast/raw \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"payload": "<string>"
}
'import requests
url = "https://api.adamik.io/api/{chainId}/transaction/broadcast/raw"
payload = { "payload": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({payload: '<string>'})
};
fetch('https://api.adamik.io/api/{chainId}/transaction/broadcast/raw', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"chainId": "algorand",
"hash": "<string>"
}Transaction
Broadcast Raw Transaction
Broadcasts a signed transaction to the blockchain in raw format. Unlike the standard broadcast, which builds the broadcast payload for you, this endpoint requires the final payload, ready for submission. Returns the transaction receipt (hash) or error details in case of failure.
POST
/
api
/
{chainId}
/
transaction
/
broadcast
/
raw
Broadcast Raw Transaction
Authorizations
Path Parameters
Available options:
algorand, cosmoshub, cosmoshub-testnet, osmosis, osmosis-testnet, celestia, celestia-testnet, dydx, axelar, ethereum, sepolia, hoodi, holesky, zksync, zksync-sepolia, injective-evm-testnet, base, base-sepolia, optimism, optimism-sepolia, arbitrum, arbitrum-sepolia, bitcoin, bitcoin-testnet, bitcoin-signet, polygon, polygon-amoy, bsc, bsc-testnet, linea, linea-sepolia, avalanche, avalanche-fuji, gnosis, gnosis-chiado, moonbeam, moonriver, moonbase, fantom, mantle, litecoin, dogecoin, ton, chiliz, chiliz-testnet, injective, akash, band, dymension, kyve, terra2, stargaze, tron, evmos, irisnet, juno, lum-network, omniflix, sei, medibloc, passage, quasar, seda, sommelier, shentu, stride, chihuahua, bitsong, persistence, comdex, fetch-ai, humans-ai, ki, likecoin, provenance, quicksilver, saga, kava, starknet, starknet-sepolia, babylon, babylon-testnet, monad-testnet, berachain, berachain-bepolia, cronos, world-chain, world-chain-sepolia, hyperliquid, solana, aptos, aptos-testnet, stellar, stellar-testnet Body
application/json
Response
200 - application/json
Returns a transaction receipt or error details if the transaction fails.
Available options:
algorand, cosmoshub, cosmoshub-testnet, osmosis, osmosis-testnet, celestia, celestia-testnet, dydx, axelar, ethereum, sepolia, hoodi, holesky, zksync, zksync-sepolia, injective-evm-testnet, base, base-sepolia, optimism, optimism-sepolia, arbitrum, arbitrum-sepolia, bitcoin, bitcoin-testnet, bitcoin-signet, polygon, polygon-amoy, bsc, bsc-testnet, linea, linea-sepolia, avalanche, avalanche-fuji, gnosis, gnosis-chiado, moonbeam, moonriver, moonbase, fantom, mantle, litecoin, dogecoin, ton, chiliz, chiliz-testnet, injective, akash, band, dymension, kyve, terra2, stargaze, tron, evmos, irisnet, juno, lum-network, omniflix, sei, medibloc, passage, quasar, seda, sommelier, shentu, stride, chihuahua, bitsong, persistence, comdex, fetch-ai, humans-ai, ki, likecoin, provenance, quicksilver, saga, kava, starknet, starknet-sepolia, babylon, babylon-testnet, monad-testnet, berachain, berachain-bepolia, cronos, world-chain, world-chain-sepolia, hyperliquid, solana, aptos, aptos-testnet, stellar, stellar-testnet Was this page helpful?